/**
 * Faz uma chamada Ajax para executar uma ao qualquer
 * @param int instanceID O ID da instncia
 * @param int activityID O ID da atividade
 * @param string action A ao que ser executada
 * @param string message A mensagem que ser exibida aps a execuo da ao solicitada
 * @return void
 */
function inboxGeneralAction(instanceID, activityID, action, message)
{
	function actionHandler(data)
	{
		if (_checkError(data))
			return false;

		if (data == true)
		{
			write_msg(message);
			draw_inbox_folder(workflowInboxParams['p_page'], workflowInboxParams['sort'], workflowInboxParams['pid'], workflowInboxParams['search_term']);
		}
	};

	cExecute ('$this.bo_userinterface.' + action, actionHandler, 'instanceID=' + instanceID + "&activityID=" + activityID);
}

/**
 * Solicita o envio da instncia para a prxima atividade
 * @param int instanceID O ID da instncia
 * @param int activityID O ID da atividade
 * @return void
 */
function workflowInboxActionSend(instanceID, activityID)
{
	inboxGeneralAction(instanceID, activityID, 'inboxActionSend', 'A instncia foi enviada para a prxima atividade.');
}

/**
 * Solicita a liberao de uma instncia
 * @param int instanceID O ID da instncia
 * @param int activityID O ID da atividade
 * @return void
 */
function workflowInboxActionRelease(instanceID, activityID)
{
	inboxGeneralAction(instanceID, activityID, 'inboxActionRelease', 'O acesso  instncia foi liberado.');
}

/**
 * Solicita a captura de um instncia
 * @param int instanceID O ID da instncia
 * @param int activityID O ID da atividade
 * @return void
 */
function workflowInboxActionGrab(instanceID, activityID)
{
	inboxGeneralAction(instanceID, activityID, 'inboxActionGrab', 'A instncia foi atribuda para voc.');
}

/**
 * Solicita a transformao de uma instncia em exceo
 * @param int instanceID O ID da instncia
 * @param int activityID O ID da atividade
 * @return void
 */
function workflowInboxActionException(instanceID, activityID)
{
	inboxGeneralAction(instanceID, activityID, 'inboxActionException', 'A instncia foi transformada em exceo.');
}

/**
 * Solicita a retirada da instncia de exceo
 * @param int instanceID O ID da instncia
 * @param int activityID O ID da atividade
 * @return void
 */
function workflowInboxActionResume(instanceID, activityID)
{
	inboxGeneralAction(instanceID, activityID, 'inboxActionResume', 'A instncia foi retirada de exceo.');
}

/**
 * Solicita que uma instncia seja abortada
 * @param int instanceID O ID da instncia
 * @param int activityID O ID da atividade
 * @return void
 */
function workflowInboxActionAbort(instanceID, activityID)
{
	inboxGeneralAction(instanceID, activityID, 'inboxActionAbort', 'A instncia foi abortada.');
}

/**
 * Solicita a visualizao de informaes sobre a instncia
 * @param int instanceID O ID da instncia
 * @param int activityID O ID da atividade (desnecessrio)
 * @return void
 */
function workflowInboxActionView(instanceID, activityID)
{
	function viewHandler(data)
	{
		if (_checkError(data))
			return false;
		drawViewInstance(data);
	};
	cExecute ("$this.bo_userinterface.inboxActionView", viewHandler, 'instanceID=' + instanceID);
}